# DASetLocalFunctionib

Caches in a DA a block local function that evaluates a single component

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DASetLocalFunctionib(DA da,PetscErrorCode (*lfi)(DALocalInfo*,MatStencil*,void*,PetscScalar*,void*))

Collective on DA

### Input Parameter

| da | - initial distributed array
| lfi | - the local function

### Keywords

distributed array, refine

### See Also

DACreate1d(), DACreate2d(), DACreate3d(), DADestroy(), DAGetLocalFunction(), DASetLocalFunction()

Level:intermediate
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages